Installing Qt packages

Hi all,

I am trying to install Qt on a server that has Fedora 26 installed.

Due to production reasons, my company has physically told me that I am not allowed to perform any upgrades on the Fedora version I am to develop on. Yes, I know the Fedora version I must work with is outdated but it is out of my control.

I have followed: https://doc.qt.io/qt-5/linux.html amongst other forums.

I have installed the following:
sudo yum groupinstall "C Development Tools and Libraries"
sudo yum install mesa-libGL-devel
sudo dnf --refresh install qt5-qtbase

However, this is the error I get when I try to run a Qt executable.
./tts_execute: /lib64/libQt5Core.so.5: versionQt_5.11’ not found (required by ./tts_execute)`

Please help and thank you in advance.

Trying this right now:
sudo dnf install qt5-*

Okay, so this was not the solution. But it appears that every qt5 package has been installed.

ah okay, here’s a lead:
[root@localhost ~]# whereis qmake-qt5
qmake-qt5: /usr/bin/qmake-qt5 /usr/bin/qmake-qt5.sh

So it appears I may need perform some sort of symlink??

Tried to create a symlink but failed:
[root@localhost ~]# sudo ln -s /lib64/libQt5Core.so.5 /usr/bin/qmake-qt5
ln: failed to create symbolic link '/usr/bin/qmake-qt5': File exists
[root@localhost ~]# sudo ln -s /usr/bin/qmake-qt5 /lib64/libQt5Core.so.5
ln: failed to create symbolic link '/lib64/libQt5Core.so.5': File exists

I tried this too:
[root@localhost ~]# whereis qmake-qt5
qmake-qt5: /usr/bin/qmake-qt5 /usr/bin/qmake-qt5.sh
[root@localhost ~]# sudo ln -swhich qmake-qt5/usr/bin/qmake
which ran successfully.

but this is the result:
[root@localhost build-tts_execute-149_168_60_149-Debug]# ./tts_execute
./tts_execute: /lib64/libQt5Core.so.5: version ``Qt_5.11' not found (required by ./tts_execute)

Found a solution!! :smile:

Okay, so after I created this sym-link:
sudo ln -swhich qmake-qt5 /usr/bin/qmake,

I just went to the project directory and used the make command to create the binary.
Worked great!

1 Like

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.